Summary:   Icecast - Streaming Media Server
Name:      icecast
Version:   1.3.5
Release:   1
Serial:    1351
URL:       http://www.icecast.org
Source0:   http://www.icecast.org/releases/%{name}-%{version}.tar.gz
Source1:   icecast.init
Patch:     icecast-config.patch
Copyright: GPL
Group:     System Environment/Daemons
Buildroot: /tmp/%{name}-%{version}-root

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep

%setup -q

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-libwrap --enable-fsstd

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.
if [ -e /usr/include/sys/resource.h ]; then
cat >>config.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

# Test if we have a SMP capable computer, and take advantage of it
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

make DESTDIR=$RPM_BUILD_ROOT install

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

mv $RPM_BUILD_ROOT/etc/icecast/icecast.conf.dist $RPM_BUILD_ROOT/etc/icecast/icecast.conf
mv $RPM_BUILD_ROOT/etc/icecast/groups.aut.dist $RPM_BUILD_ROOT/etc/icecast/groups.aut
mv $RPM_BUILD_ROOT/etc/icecast/mounts.aut.dist $RPM_BUILD_ROOT/etc/icecast/mounts.aut
mv $RPM_BUILD_ROOT/etc/icecast/users.aut.dist $RPM_BUILD_ROOT/etc/icecast/users.aut

strip $RPM_BUILD_ROOT/usr/sbin/* || :

%post
chkconfig --add icecast

%preun
if [ "$1" = 0 ] ; then
  chkconfig --del icecast
fi

%clean
rm -r $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%dir /etc/icecast
%attr(600,root,root) %config /etc/icecast/*
%config /etc/rc.d/init.d/icecast
/usr/sbin/*
/usr/share/icecast
/var/log/icecast

%changelog
* Fri Apr 21 2000 Arne Coucheron <arneco@online.no>
  [1.3.5-1]
- several changes in the spec file
- changed the init script

* Fri Jul 16 1999 Arne Coucheron <arneco@online.no>
  [1.3.0-1]
- added more documentation
- deactivation of icecast init file moved to %preun
- some changes in the %install section
- changed Group: tag

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.4-1]
- added serial tag to let it make it into RH contrib

* Mon Mar 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- added liveice program and config file

* Fri Mar 05 1999 Arne Coucheron <arneco@online.no>
  [1.1.2-1]

* Wed Mar 03 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-2]
- a small change in the init script

* Tue Mar 02 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-1]
- first RPM build